Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.model
Interface ModelListener

All Known Implementing Classes:
  ConflictStatistics, DbtPropagation, Extension, MacPropagation, ViolatedInitials

    public interface ModelListener

IFS model listener.

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  `Model`

Method Summary
`void` | `afterAssigned(long iteration, Value value)` Called after a value is assigned to its variable (`Value.variable()`).
`void` | `afterUnassigned(long iteration, Value value)` Called after a value is unassigned from its variable (`Value.variable()`).
`void` | `beforeAssigned(long iteration, Value value)` Called before a value is assigned to its variable (`Value.variable()`).
`void` | `beforeUnassigned(long iteration, Value value)` Called before a value is unassigned from its variable (`Value.variable()`).
`void` | `constraintAdded(Constraint constraint)` Constraint is added to the model
`void` | `constraintRemoved(Constraint constraint)` Constraint is removed from the model
`void` | `getInfo(Hashtable anInfo)` Query for info about the model.
`boolean` | `init(Solver solver)` Notification that the model was initialized by the solver.
`void` | `variableAdded(Variable variable)` Variable is added to the model
`void` | `variableRemoved(Variable variable)` Variable is removed from the model

Method Detail

### variableAdded

    void variableAdded(Variable variable)

  Variable is added to the model

  Parameters:
    `variable` - added variable

### variableRemoved

    void variableRemoved(Variable variable)

  Variable is removed from the model

  Parameters:
    `variable` - removed variable

### constraintAdded

    void constraintAdded(Constraint constraint)

  Constraint is added to the model

  Parameters:
    `constraint` - added constraint

### constraintRemoved

    void constraintRemoved(Constraint constraint)

  Constraint is removed from the model

  Parameters:
    `constraint` - removed constraint

### beforeAssigned

    void beforeAssigned(long iteration,
                        Value value)

  Called before a value is assigned to its variable (`Value.variable()`).

  Parameters:
    `iteration` - current iteration
    `value` - value to be assigned

### beforeUnassigned

    void beforeUnassigned(long iteration,
                          Value value)

  Called before a value is unassigned from its variable (`Value.variable()`).

  Parameters:
    `iteration` - current iteration
    `value` - value to be unassigned

### afterAssigned

    void afterAssigned(long iteration,
                       Value value)

  Called after a value is assigned to its variable (`Value.variable()`).

  Parameters:
    `iteration` - current iteration
    `value` - value to be assigned

### afterUnassigned

    void afterUnassigned(long iteration,
                         Value value)

  Called after a value is unassigned from its variable (`Value.variable()`).

  Parameters:
    `iteration` - current iteration
    `value` - value to be unassigned

### getInfo

    void getInfo(Hashtable anInfo)

  Query for info about the model. A listener can also add some its info.

  Parameters:
    `anInfo` - resultant table with informations (key, value).

### init

    boolean init(Solver solver)

  Notification that the model was initialized by the solver.

  Parameters:
    `solver` - IFS solver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller